# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate tokio

Name:           rust-%{crate}
Version:        0.1.11
Release:        2%{?dist}
Summary:        Platform for writing asynchronous I/O backed applications

License:        MIT
URL:            https://crates.io/crates/tokio
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * tokio-async-await is nightly-only
Patch0:         tokio-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bytes/default) >= 0.4.0 with crate(bytes/default) < 0.5.0)
BuildRequires:  (crate(futures/default) >= 0.1.20 with crate(futures/default) < 0.2.0)
BuildRequires:  (crate(mio/default) >= 0.6.14 with crate(mio/default) < 0.7.0)
BuildRequires:  (crate(tokio-codec/default) >= 0.1.0 with crate(tokio-codec/default) < 0.2.0)
BuildRequires:  (crate(tokio-current-thread/default) >= 0.1.3 with crate(tokio-current-thread/default) < 0.2.0)
BuildRequires:  (crate(tokio-executor/default) >= 0.1.5 with crate(tokio-executor/default) < 0.2.0)
BuildRequires:  (crate(tokio-fs/default) >= 0.1.3 with crate(tokio-fs/default) < 0.2.0)
BuildRequires:  (crate(tokio-io/default) >= 0.1.6 with crate(tokio-io/default) < 0.2.0)
BuildRequires:  (crate(tokio-reactor/default) >= 0.1.1 with crate(tokio-reactor/default) < 0.2.0)
BuildRequires:  (crate(tokio-tcp/default) >= 0.1.0 with crate(tokio-tcp/default) < 0.2.0)
BuildRequires:  (crate(tokio-threadpool/default) >= 0.1.4 with crate(tokio-threadpool/default) < 0.2.0)
BuildRequires:  (crate(tokio-timer/default) >= 0.2.6 with crate(tokio-timer/default) < 0.3.0)
BuildRequires:  (crate(tokio-udp/default) >= 0.1.0 with crate(tokio-udp/default) < 0.2.0)
BuildRequires:  (crate(tokio-uds/default) >= 0.2.1 with crate(tokio-uds/default) < 0.3.0)
%if %{with check}
BuildRequires:  (crate(env_logger) >= 0.5.0 with crate(env_logger) < 0.6.0)
BuildRequires:  (crate(flate2/default) >= 1.0.0 with crate(flate2/default) < 2.0.0)
BuildRequires:  (crate(flate2/tokio) >= 1.0.0 with crate(flate2/tokio) < 2.0.0)
BuildRequires:  (crate(futures-cpupool/default) >= 0.1.0 with crate(futures-cpupool/default) < 0.2.0)
BuildRequires:  (crate(http/default) >= 0.1.0 with crate(http/default) < 0.2.0)
BuildRequires:  (crate(httparse/default) >= 1.0.0 with crate(httparse/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(num_cpus/default) >= 1.0.0 with crate(num_cpus/default) < 2.0.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
BuildRequires:  (crate(time/default) >= 0.1.0 with crate(time/default) < 0.2.0)
%endif

%global _description \
An event-driven, non-blocking I/O platform for writing asynchronous I/O backed\
applications.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Nov 08 2018 Josh Stone <jistone@redhat.com> - 0.1.11-2
- Adapt to new packaging

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.1.10-1
- Update to 0.1.10

* Mon Sep 10 2018 Josh Stone <jistone@redhat.com> - 0.1.8-1
- Update to 0.1.8

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-5
- Rebuild to trigger tests

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-4
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-2
- Add dev-dep on tokio-codec

* Mon Jun 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Thu May 03 2018 Josh Stone <jistone@redhat.com> - 0.1.6-1
- Update to 0.1.6

* Tue Apr 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Fri Mar 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-1
- Initial package
